import '../../stencil.core';
export declare class EdelConfiggridItemComponent {
    isHead: boolean;
    hostElement: HTMLElement;
    render(): JSX.Element;
    hostData(): {
        class: string;
    };
    componentDidLoad(): void;
    updateIsHead(): void;
}
